Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 447630

Summary: =net-misc/openvswitch-1.6.1-r2 - /etc/init.d/ovs-controller: ERROR: ovs-controller needs service(s) lo
Product: Gentoo Linux Reporter: Kobboi <gentoo>
Component: [OLD] UnspecifiedAssignee: Tiziano Müller <dev-zero>
Status: RESOLVED FIXED    
Severity: normal CC: virtualization
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 439092    

Description Kobboi 2012-12-17 19:16:12 UTC
# /etc/init.d/ovs-controller start
 * ERROR: ovs-controller needs service(s) lo


Reproducible: Always
Comment 1 Spooky Ghost 2013-02-12 08:26:14 UTC
--- /usr/portage/net-misc/openvswitch/files/ovs-controller      2012-07-18 09:41:29.000000000 +0100
+++ /etc/init.d/ovs-controller  2013-02-01 19:53:09.000000000 +0000
@@ -4,7 +4,7 @@
 # $Header: /var/cvsroot/gentoo-x86/net-misc/openvswitch/files/ovs-controller,v 1.1 2012/07/18 08:41:29 dev-zero Exp $

 depend() {
-    need lo
+    need net
 }

 start() {
Comment 2 Tiziano Müller gentoo-dev 2013-04-08 19:39:21 UTC
Fixed in version bump to 1.9.0